//************************************************************
//	Copyright (c) 1993
// 	Realise par l'equipe d'Analyse d'Images
//	Laboratoire de Traitement du Signal et Instrumentation
//	Universite de Saint-Etienne
//	France
//************************************************************

#ifndef  O
#define O

#include "image.h"

// fichier o.c

Image       TransfereO(Image imS, Image imD);
Image       VisuReelLO ( Image imS, Image imD );
Image       ComprimYO(Image imS, Image imD, double coef);
Image       NiveauO(Image imS, Image imD, Octet valeur);
Image       ExtraitFenetreO(Image imS, Image imD);
Image       SoustrO ( Image imS1, Image imS2, Image imD );
Image       SoustrAbsO ( Image imS1, Image imS2, Image imD );
Image       AddO ( Image imS1, Image imS2, Image imD );
Image 	   OuBinaireO ( Image imaS1, Image imaS2, Image imaD);
Image 	   OuExBinaireO ( Image imaS1, Image imaS2, Image imaD);
Image 	   EtBinaireO ( Image imaS1, Image imaS2, Image imaD);
Image 		OperTableO(Image imS, Image table, Image imD);
Image 		TraceDroiteO(Image imS, int x1, int y1, int x2, int y2,Octet valeur, int oper);
Image 		TraceVecteurO(Image imP,Image imS,Image imD,Octet cPoint,Octet cTrait1,Octet cTrait2,int fleche);
Image 		DeplCorrelO(Image imS1,Image imS2,Image imD);
Image 		DeplCorrelDirO(Image imS1,Image imS2,Image imD,Reel reducX,Reel reducY);
Image 		DeplAutoCorrelO(Image imS,Image imD);
Image 		DeplAutoCorrelDirO(Image imS,Image imD,Reel reducX,Reel reducY);
int 			EcritVecteurO (Image image,FILE *text);



// fichier geomo.c

Image SymetrieO (Image imaS, Image imaD, int sym);
Image ScrollXYO(Image imS, Image imD, int dx, int dy);
Image RotationO ( Image imaS, Image imaD, float teta);
Image RotaPiSur2O ( Image imaS, Image imaD);
Image TranspositionO ( Image imaS, Image imaD);
Image DecalYO(Image imS, Image imD, int dy);
Image DecalXO(Image imS, Image imD, int dx);
Image AnamorXO ( Image imaS,  Image imaD, float py );
Image AnamorYO ( Image imaS,  Image imaD, float py );
Image AnamorXYO(Image imS,Image imD,float coeffx,float coeffy);

// fichier convolo.h

Image ConvoluO ( Image imaS, Image imaF, Image imaD);
Image ConvolutionMtO(Image imaS, Image imaD, Reel *filtre,int tx,int ty);
Image ConvolMoyenneO (Image imaS,Image imaD, int type);
Image ConvolLaplaceO (Image imaS,Image imaD);
Image ConvolContrastO (Image imaS,Image imaD);
Image ConvolReliefO (Image imaS,Image imaD);
Image ConvolGradDiagO (Image imaS,Image imaD);
Image ConvolGradHorO(Image imaS,Image imaD);
Image ConvolGradVerO(Image imaS,Image imaD);

Image  MedianO ( Image source, Image dest);
Image  GradientKirschO ( Image source, Image dest);
Image  GradientSobelO ( Image source, Image dest);


#endif
